// ===========================================================================
// CONTENT  : INTERFACE AdminProtocol
// AUTHOR   : M.Duchrow
// VERSION  : 1.0 - 08/08/2006
// HISTORY  :
//  08/08/2006  mdu  CREATED
//
// Copyright (c) 2006, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.admin ;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * Specifies constants for the administration protocol.
 *
 * @author M.Duchrow
 * @version 1.0
 */
public interface AdminProtocol
{ 
  // =========================================================================
  // CONSTANTS
  // =========================================================================
	public static final String END_OF_COMMAND		= ";" ;
	public static final char ESCAPE_CHAR				= '\\' ;

	public static final String CMD_SHUTDOWN				= "shutdown" ;
	public static final String CMD_SET_LOG_LEVEL	= "logLevel" ;
  
} // interface AdminProtocol