// ===========================================================================
// CONTENT  : INTERFACE Constants
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 30/03/2012
// HISTORY  :
//  30/03/2012  mdu  CREATED
//
// Copyright (c) 2012, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.common ;

/**
 * Common constants for multiple classes. 
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public interface Constants
{ 
	public static final int DEFAULT_LDAP_PORT = 389;
	public static final String DEFAULT_DIRECTORY_DEFINITION = "directory.xml";
	
	public static final String I_SERVER_STARTED = "BEL0001";
	public static final String I_SERVER_STOPPED = "BEL0002";
	public static final String I_SERVER_LISTENING = "BEL0003";
	public static final String W_SETTINGS_NOT_FOUND = "BEL0004";
	public static final String E_FAILED_TO_START_LDAP_SERVER = "BEL0005";
	public static final String I_LOADING_INTERCEPTORS = "BEL0006";
	public static final String I_LOADED_INTERCEPTORS = "BEL0007";
	public static final String I_LOADED_INTERCEPTOR = "BEL0008";
	public static final String E_XML_FILE_PARSING = "BEL0009";
	public static final String E_FAILED_ADMIN_MBEAN_REGISTRATION = "BEL0010";
}