// ===========================================================================
// CONTENT  : CLASS ModifyResponse
// AUTHOR   : M.Duchrow
// VERSION  : 1.0 - 29/07/2006
// HISTORY  :
//  29/07/2006  mdu  CREATED
//
// Copyright (c) 2006, by M.Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.messages ;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * Response for modify requests
 *
 * @author M.Duchrow
 * @version 1.0
 */
public class ModifyResponse extends ResponseMessage
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public ModifyResponse( ModifyRequest request )
  {
    super( request ) ;
  } // ModifyResponse() 

  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================
  public boolean isModifyResponse()
  {
  	return true ;
  } // isModifyResponse()
  
  // -------------------------------------------------------------------------
  
  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================
  protected String getName() 
	{
		return "ModifyResponse" ;
	} // getName() 

	// -------------------------------------------------------------------------

} // class ModifyResponse 
