// ===========================================================================
// CONTENT  : CLASS InvalidFilterOperation
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 10/07/2004
// HISTORY  :
//  10/07/2004  mdu  CREATED
//
// Copyright (c) 2004, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.protocol ;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * Will be thrown if an invalid operator in a search filter was found
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class InvalidFilterOperation extends LDAPRequestException
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================

  // =========================================================================
  // CLASS METHODS
  // =========================================================================

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public InvalidFilterOperation()
  {
    super() ;
  } // InvalidFilterOperation()

  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================

  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================

} // class InvalidFilterOperation
