// ===========================================================================
// CONTENT  : CLASS LDAPProcessingException
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 11/07/2004
// HISTORY  :
//  11/07/2004  mdu  CREATED
//
// Copyright (c) 2004, by Manfred Duchrow. All rights reserved.
// ===========================================================================
package org.pfsw.tools.beluga.ldap.server ;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * Root class for all LDAP processing exceptions
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class LDAPProcessingException extends Exception
{
  // =========================================================================
  // CONSTANTS
  // =========================================================================

  // =========================================================================
  // INSTANCE VARIABLES
  // =========================================================================

  // =========================================================================
  // CONSTRUCTORS
  // =========================================================================
  /**
   * Initialize the new instance with default values.
   */
  public LDAPProcessingException()
  {
    super() ;
  } // LDAPProcessingException() 

  // -------------------------------------------------------------------------
  
	/**
	 * @param message
	 */
	public LDAPProcessingException( String message )
	{
		super( message );
	} // LDAPProcessingException()
	
	// -------------------------------------------------------------------------
	
  // =========================================================================
  // PUBLIC INSTANCE METHODS
  // =========================================================================

  // =========================================================================
  // PROTECTED INSTANCE METHODS
  // =========================================================================

} // class LDAPProcessingException 
